<template>
  <div class="bg-grey-1 bd-rds-md p-4x text-center">
    <slot>
      <b-icon name="information" :size="24" class="c-grey-6"></b-icon>
      <p class="text-xs text-semibold c-grey-6 mt-1x">{{ message }}</p>
    </slot>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'CommonEmptySection',
  props: {
    message: {
      type: String,
      default: 'No data yet.',
    },
  },
})
</script>
